#!/usr/bin/python 
# rhnDefines.py   - Defines that are not configuration directives, but
#		    are used to avoid the use of string constants in the code.
#-----------------------------------------------------------------------------
# $Id: rhnDefines.py 83630 2002-09-03 01:39:54Z gafton $
# Copyright (c) 1999-2002 Red Hat, Inc.  Distributed under GPL.
#
# Header fields we are setting
"""Constants used by the up2date client"""
PROXY_HEADER_NAME = 'X-RHN-Proxy'
TRANSPORT_OPTIONS = 'outputTransportOptions'
CACHE_REQUEST = "X-Cache-Request" # A request coming from a cache

AUTH_SYSTEM_ID = 'X-RHN-System-Id'
AUTH_USER_ID = "X-RHN-Auth-User-Id"
AUTH_SIGNATURE = 'X-RHN-Auth'  
AUTH_EXPIRATION = 'X-RHN-Auth-Expiration'    
AUTH_CHANNELS = 'X-RHN-Auth-Channels'
PROXY_ACTION = 'X-RHN-Action'

#-----------------------------------------------------------------------------


