#!/usr/bin/python -t
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Copyright 2003 Duke University

# classes for parsing the metadata files for the new metadata format

import sys
import packageSack
import packageObject
 
 
def main(file, repoid):
    pkgSack = packageSack.XMLPackageSack(packageObject.RpmObject)
    pkgSack.addFile(repoid, file)
    print len(pkgSack.nevra.keys())

        
    
if __name__ == '__main__':
    if sys.argv[1] == 'profile':
        import profile
        profile.run('main(sys.argv[2], sys.argv[3])')
    else:
        main(sys.argv[1], sys.argv[2])
        
    
    
